Skip to main content
POST
/
v2
/
kyc
/
w8ben
Submit W-8BEN form
curl --request POST \
  --url https://api.example.com/v2/kyc/w8ben/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "useDigitalSignature": true,
  "foreignTinNotLegallyRequired": true,
  "isClaimingTaxTreatyBenefits": true,
  "treatyArticle": "<string>",
  "treatyIncomeType": "<string>",
  "treatyWithholdingRate": "<string>",
  "treatyExplanation": "<string>",
  "usTin": "<string>",
  "referenceNumber": "<string>",
  "mailingAddress": {
    "streetAddress": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zipCode": "<string>",
    "country": "<string>"
  }
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "w8BenUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Body

application/json

Passthrough body to the platform service CreateW8BenInput.

useDigitalSignature
boolean
required
foreignTinNotLegallyRequired
boolean | null
isClaimingTaxTreatyBenefits
boolean | null
treatyArticle
string | null
treatyIncomeType
string | null
treatyWithholdingRate
string | null
treatyExplanation
string | null
usTin
string | null
referenceNumber
string | null
mailingAddress
object

Response

OK

id
string<uuid>
w8BenUrl
string